# class KColorDialog | A color selection dialog. More...
Definition | `#include <kcolordialog.h>`
Inherits | KDialogBase [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KColorDialog ( QWidget *parent = 0L, const char *name = 0L, bool modal = FALSE )
- ~KColorDialog ()
- QColor color ()

#### Public Slots

- void setColor ( const QColor &col )

#### Signals

- void colorSelected ( const QColor &col )

#### Public Static Methods

- static int getColor ( QColor &theColor, QWidget *parent=0L )
- static QColor grabColor (const QPoint &p)

## Detailed Description

The KColorDialog provides a dialog for color selection.

### Features:

- Colour selection from a wide range of palettes.
- Colour selection from a palette of H vs S and V selectors (similar to windoze).
- Direct input of HSV or RGB values.
- Saving of custom colors

In most cases, you will want to use the static method KColorDialog::getColor(). This pops up the dialog (with an initial selection provided by you), lets the user choose a color, and returns.

Example:

     	QColor myColor;
     	int result = KColorDialog::getColor( myColor );
             if ( result == KColorDialog::Accepted )
                ...

The color dialog is really a collection of several widgets which can you can also use separately: the quadratic plane in the top left of the dialog is a KXYSelector. Right next to it is a KHSSelector for chosing hue/saturation.

On the right side of the dialog you see a KPaletteTable showing up to 40 colors with a combo box which offers several predefined palettes or a palette configured by the user. The small field showing the currently selected color is a KColorPatch.

KColorDialog ( QWidget *parent = 0L, const char *name = 0L, bool modal = FALSE ) | ### KColorDialog

Construct a KColorDialog.

~KColorDialog () | ### ~KColorDialog

QColor color () | ### color

Retrieve the currently selected color.

int getColor ( QColor &theColor, QWidget *parent=0L ) | ### getColor

[static]

Create a modal color dialog, let the user choose a color, and return when the dialog is closed.

The selected color is returned in the argument `theColor`.

Returns: QDialog::result().

QColor grabColor (const QPoint &p) | ### grabColor

[static]

Get the color from the pixel at point p on the screen.

void setColor ( const QColor &col ) | ### setColor

[slot]

Preselects a color.

void colorSelected ( const QColor &col ) | ### colorSelected

[signal]

Emitted when a color is selected. Connect to this to monitor the color as it as selected if you are not running modal.

void mouseReleaseEvent ( QMouseEvent * ) | ### mouseReleaseEvent

[protected virtual]

void keyPressEvent ( QKeyEvent * ) | ### keyPressEvent

[protected virtual]

Reimplemented from KDialogBase for internal purposes..

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.